# Uses of Interface
java.awt.KeyEventPostProcessor

Packages that use KeyEventPostProcessor
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of KeyEventPostProcessor in java.awt

Classes in java.awt that implement KeyEventPostProcessor
Modifier and Type
Class
Description
`class`
`DefaultKeyboardFocusManager`
The default KeyboardFocusManager for AWT applications.
`class`
`KeyboardFocusManager`
The KeyboardFocusManager is responsible for managing the active and focused Windows, and the current focus owner.
Methods in java.awt that return types with arguments of type KeyEventPostProcessor
Modifier and Type
Method
Description
`protected List<KeyEventPostProcessor>`
KeyboardFocusManager.`getKeyEventPostProcessors()`
Returns this KeyboardFocusManager's KeyEventPostProcessor chain as a List.
Methods in java.awt with parameters of type KeyEventPostProcessor
Modifier and Type
Method
Description
`void`
KeyboardFocusManager.`addKeyEventPostProcessor(KeyEventPostProcessor processor)`
Adds a KeyEventPostProcessor to this KeyboardFocusManager's post- processor chain.
`void`
KeyboardFocusManager.`removeKeyEventPostProcessor(KeyEventPostProcessor processor)`
Removes a previously added KeyEventPostProcessor from this KeyboardFocusManager's post-processor chain.

## Uses of KeyEventPostProcessor in javax.swing

Classes in javax.swing that implement KeyEventPostProcessor
Modifier and Type
Class
Description
`class`
`DefaultFocusManager`
This class has been obsoleted by the 1.4 focus APIs.
`class`
`FocusManager`
This class has been obsoleted by the 1.4 focus APIs.